package com.sun.solarisinstall.panels;
import java.util.*;

//
// Copyright (c) 1999 Sun Microsystems, Inc., all rights reserved.
//


public class GeoLocale 
{
  private boolean selected;
  private String localeID;

  public GeoLocale(String locid)
  {
    this(false, locid);
  }

  public GeoLocale(boolean sel, String locid)
  {
    selected = sel;
    localeID = locid;
  }


  public void select()
  {
    selected = true;
  }

  public void deSelect()
  {
    selected = false;
  }


  public String getLocaleID()
  {
    return (localeID);
  }


  public boolean isSelected()
  {
    return(selected);
  }


}

    
    
    
